---
database:
  dsn: "postgres://bun:bun@localhost:5432/bun?sslmode=disable"
parsers:
  openai:
    type: "openai"
    apikey: "sk-svcacct-o2Ued-dZUXs6gKJ2Lk0YkEAUeZiBPp-PVOieoWYuMBhVoTDDl8jAMAvRjXMT5BT-8ZR9XTP8YEoLT3BlbkFJri_8f6i9iJMJmzSH3owy4nSQ4DUbq0drCTvdrqb7MnVsc_vJY7xuR5i-JWJt1Owm5pqQ0p4YR0wA"
    model: "gpt-4o-mini"
  gemini:
    type: "gemini"
    apikey: "AIzaSyBdyf4684EPy__xxLH5NDf8GImS1hGEQxE"
    model: "gemini-1.5-flash"
  claude:
    type: "claude"
    apikey: "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"
    model: "claude-3-5-sonnet-latest" # Fastest claude-3-5-haiku-latest
# Default workspace    
# apikey: "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"
telegram:
  # NPFD bot API key2
  # apikey: "5523988787:AAGcElqNtIDCcZacgQrUddFjoQcm3PZ1_Vs"
  # Receipt Tracker Bot
  apikey: "7307273503:AAGpj5eEd8eC9Ophi8rCDvtmfG46GRf2XEs"
  storagepath: "./blobs"
listeners:
  stats:
    port: 8889
bus:
  subscriptionsize:
    "processor:image": 1024
    "processor:user_add": 1024
    "processor:user_edit": 1024
    "processor:receipt_add": 1024
    "processor:receipts_list": 1024
    "processor:items_list": 1024
    "parser:openai": 1024
    "parser:gemini": 1024
    "parser:claude": 1024
    "telegram:send": 1024
    "telegram:reply": 1024
    "telegram:edit_caption": 1024
storagepath: "./blobs"
timezone: America/New_York
logging:
  level: DEBUG
  output: JSON
  source: false
